This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 467095

Summary: gcin seems to be used by default when installed with no obvious way to turn it off
Product: [Fedora] Fedora Reporter: Bruno Wolff III <bruno>
Component: gcinAssignee: Chung-Yen Chang <candyz0416>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: candyz0416, i18n-bugs, petersen, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-20 22:02:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bruno Wolff III 2008-10-15 13:56:20 EDT
Description of problem:
When I have gcin installed there is a noticeable delay when typing in a terminal window that is really annoying. (That may or may not be a requirement due to how gcin works, so it may not be appropiate to complain about that.) I have my input method preferences set to not enabled, so I expect gcin not to affect my terminal input. The gcin preferences menu didn't seem to have a way to enable or disable it (in English, I could read most of the entries so its possible there was a way to do it).
Uninstalling gcin shutdown the terminal window I had open providing further evidence that it was being used.
While uninstalling it works as a work around, I shouldn't have to uninstall programs in order to not use them. I like to do yum update testing and having a large set of packages installed provides better coverage for that.

Version-Release number of selected component (if applicable):
gcin-1.4.2-3.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install gcin
2. Open a terminal and start typing and compare lag to when gcin was uninstalled.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jens Petersen 2008-10-20 03:05:15 EDT
What desktop are you testing on?  What language?

What is the output of imsettings-info and imsettings-list?

Are you able to turn off gcin from im-chooser?
Comment 2 Bruno Wolff III 2008-10-20 12:11:08 EDT
Gnome (though I also have KDE installed and could test stuff there if needed.)
US English (GDM_LANG=en_US.utf8)
[bruno@cerberus ~]$ imsettings-info
No IM is running. please specify the IM name explicitly.
[bruno@cerberus ~]$ imsettings-list
  1: SCIM (recommended)
  2: gcin 
  3: UIM 
I have im-chooser set so as not to have any input method enabled.
ps auxww|grep -i gcin doesn't pick up any running gcin process, but the lag entering keyboard input increased noticeably after installing gcin and logging into to a new desktop session.
Comment 3 Jens Petersen 2008-10-20 22:02:48 EDT
Reproduced.

*** This bug has been marked as a duplicate of bug 453093 ***